
import request from '@/assets/js/utils/request'
/*
 * =======================订单管理==============================
 * */
// 获取订单所有字典信息
export function queryProcurementOrderInitInfo() {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrderManage/queryProcurementOrderInitInfo',
    method: 'post'
  })
}
/* ======采购员订单管理=======*/
// 采购员订单列表
export function listProcurementOrderPages(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrder/listProcurementOrderPages',
    method: 'post',
    data
  })
}
// 采购员订单管理确认订单审核
export function procurementOrderAuditPass(params) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrder/procurementOrderAuditPass',
    method: 'get',
    params
  })
}
// 订单详情
export function queryProcurementOrderInfo(params) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrder/queryProcurementOrderInfo?orderId=' + params.orderId,
    method: 'get'
  })
}
// 收获订单处理行项目信息
export function listProcurementOrderProductPages(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrderProduct/listProcurementOrderProductPages',
    method: 'post',
    data
  })
}
// 收货处理详情发货信息
export function listSupplierProcurementSendGoodsPages(data) {
  return request({
    url: '/bidprocurement/procurement-contract/sendGoodsOrder/listSupplierProcurementSendGoodsPages',
    method: 'post',
    data
  })
}
// 收款申请列表
export function listSupplierConsigneeApplicationPages(data) {
  return request({
    url: '/bidprocurement/procurement-contract/consigneeApplicationOrder/listSupplierConsigneeApplicationPages',
    method: 'post',
    data
  })
}
// 收款申请详情
export function queryConsigneeApplicationInfo(params) {
  return request({
    url: '/bidprocurement/procurement-contract/consigneeApplicationOrder/queryConsigneeApplicationInfo',
    method: 'get',
    params
  })
}
// 收款申请详情确认退回
export function queryConsigneeApplicationConfrimInfo(data) {
  return request({
    url: '/bidprocurement/procurement-contract/consigneeApplicationOrder/queryConsigneeApplicationConfrimInfo',
    method: 'post',
    data
  })
}
// 收货详情基本信息
export function queryProcurementSendGoodsInfo(params) {
  return request({
    url: '/bidprocurement/procurement-contract/sendGoodsOrder/queryProcurementSendGoodsInfo',
    method: 'get',
    params
  })
}
// 导出发货信息
export function expertProcurementGoodsDetailInfo(data) {
  return request({
    url: '/bidprocurement/procurement-contract/sendGoodsOrder/expertProcurementGoodsDetailInfo',
    method: 'post',
    responseType: 'blob',
    data
  })
}
// 收货详情货物信息
export function queryProcurementGoodsDetailInfo(data) {
  return request({
    url: '/bidprocurement/procurement-contract/sendGoodsOrder/queryProcurementGoodsDetailInfo',
    method: 'post',
    data
  })
}
// 收获处理确认收获
export function queryProcurementConfrimSendGoods(data) {
  return request({
    url: '/bidprocurement/procurement-contract/sendGoodsOrder/queryProcurementConfrimSendGoods',
    method: 'post',
    data
  })
}

// 订单管理处理待确认-推送待确认订单
export function pushToConfirmedOrder(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrder/pushToConfirmedOrder',
    method: 'post',
    data
  })
}
// 保存采购员服务费信息
export function saveProcurementServiceFeeInfo(data) {
  return request({
    url: '/bidprocurement/procurement-contract/serviceFeeOrder/saveProcurementServiceFeeInfo',
    method: 'post',
    data
  })
}
// 采购员驱动节点显示已生效的订单
export function getProcurementOrderInfoByPackId(params) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrder/getProcurementOrderInfoByPackId',
    method: 'get',
    params
  })
}
/* ======采购员订单查询=======*/
// 订单查询所有订单信息
export function getPageOrderInfoAll(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrder/getPageOrderInfoAll',
    method: 'post',
    data
  })
}
// 采购员SAP订单列表
export function listProcurementSAPOrderPages(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrder/listProcurementSAPOrderPages',
    method: 'post',
    data
  })
}
// 手动推送SAP订单中心
export function handMovementPushSAPOrderCenter(params) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrder/handMovementPushSAPOrderCenter',
    method: 'get',
    params
  })
}
// 采购员SAP修改保存
export function updateProcurementOrderProduct(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrderProduct/updateProcurementOrderProduct',
    method: 'post',
    data
  })
}
// 订单退回记录列表
export function listProcurementOrderReleasePages(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrder/listProcurementOrderReleasePages',
    method: 'post',
    data
  })
}
// 订单退回行项目记录查询
export function releaseListProcurementOrderProductPages(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrderProduct/releaseListProcurementOrderProductPages',
    method: 'post',
    data
  })
}
// 订单查询-订单退回列表
export function listWaitReleaseProcurementOrderPages(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrder/listWaitReleaseProcurementOrderPages',
    method: 'post',
    data
  })
}
/* ======采购员服务费单=======*/
// 保存采购员服务费列表
export function listProcurementServiceFeePages(data) {
  return request({
    url: '/bidprocurement/procurement-contract/serviceFeeOrder/listProcurementServiceFeePages',
    method: 'post',
    data
  })
}
// 采购员服务费列表(异常缴费)
export function listProcurementServiceFeeExceptionPages(data) {
  return request({
    url: '/bidprocurement/procurement-contract/serviceFeeOrder/listProcurementServiceFeeExceptionPages',
    method: 'post',
    data
  })
}
// 处理异常订单信息列表
export function handleExceptionOrderMessage(data) {
  return request({
    url: '/bidprocurement/procurement-contract/serviceFeeOrder/handleExceptionOrderMessage',
    method: 'post',
    data
  })
}
// 收款单入账总金额
export function listVoucherBillAccountMoneyInfoVo(params) {
  return request({
    url: '/bidprocurement/procurement-contract/serviceFeeOrder/listVoucherBillAccountMoneyInfoVo',
    method: 'get',
    params
  })
}
// 取消收费单
export function cancelProcurementReceipt(data) {
  return request({
    url: '/bidprocurement/procurement-contract/serviceFeeOrder/cancelProcurementReceipt',
    method: 'post',
    data
  })
}
// 查询异常服务费缴纳信息
export function getExcepPaymentPageInfos(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/getExcepPaymentPageInfos',
    method: 'post',
    data
  })
}
// 分页查询服务费单
export function getPageServiceFeeList(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/getPageServiceFeeList',
    method: 'post',
    data
  })
}

// 根据收款单ID查询出对应的服务单
export function getVoucherIdOrderListInfo(voucherId) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/getVoucherIdOrderListInfo?voucherId=' + voucherId,
    method: 'post'
  })
}
// 根据供应商ID查询出对应的收款单
export function getBanknoServiceListInfo(supplierId) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/getBanknoServiceListInfo?supplierId=' + supplierId,
    method: 'post'
  })
}
// 手动处理异常缴费
export function manualHandleExcepPay(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/manualHandleExcepPay',
    method: 'post',
    data
  })
}
// 异常缴费处理--提交
export function excepPayeeHandSubmit(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/excepPayeeHandSubmit',
    method: 'post',
    data
  })
}
// 审批详情--收款单、减免收款单
export function payeeSingleDetails(id) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/payeeSingleDetails?id=' + id,
    method: 'post'
  })
}
// 审批详情-- 异常缴纳关联订单
export function payeeSingleExcepDetails(id) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/payeeSingleExcepDetails?id=' + id,
    method: 'post'
  })
}
// 审批详情-- 异常缴纳处理
export function payeeSingleExcepHandDetails(id) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/payeeSingleExcepHandDetails?id=' + id,
    method: 'post'
  })
}
// 审批详情-- 异常缴费处理记录详情
export function excepPayeeHandDetailsInfo(id) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/excepPayeeHandDetailsInfo?id=' + id,
    method: 'post'
  })
}
// 异常缴费关联订单-详情
export function excepPayeeRelationDetailsInfo(id) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/excepPayeeRelationDetailsInfo?id=' + id,
    method: 'post'
  })
}
// 审批列表
export function payeeSinglePageList(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/payeeSinglePageList',
    method: 'post',
    data
  })
}
// 审核不通过取消收款单 并释放该 收款单下的 服务单
export function cancelPayeeSingle(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/cancelPayeeSingle',
    method: 'post',
    data
  })
}
// 审核不通过取消 业务类型：异常缴纳处理
export function cancelPayeeSingleExcep(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/cancelPayeeSingleExcep',
    method: 'post',
    data
  })
}
/* ======供应商订单管理=======*/
// 供应商订单管理列表
export function listSupplierProcurementOrderPages(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementOrder/listSupplierProcurementOrderPages',
    method: 'post',
    data
  })
}

// 供应商新增收款申请
export function saveSupplierConsigneeApplicationInfo(data) {
  return request({
    url: '/bidprocurement/procurement-contract/consigneeApplicationOrder/saveSupplierConsigneeApplicationInfo',
    method: 'post',
    data
  })
}
// 服务费单管理生成收款单
export function generateProcurementReceipt(data) {
  return request({
    url: '/bidprocurement/procurement-contract/serviceFeeOrder/generateProcurementReceipt',
    method: 'post',
    data
  })
}
// 供应商新增发货单
export function saveProcurementSendGoodsInfo(data) {
  return request({
    url: '/bidprocurement/procurement-contract/sendGoodsOrder/saveProcurementSendGoodsInfo',
    method: 'post',
    data
  })
}

// 收款信息编辑/删除操作
export function queryConsigneeApplicationEditOrDelete(data) {
  return request({
    url: '/bidprocurement/procurement-contract/consigneeApplicationOrder/queryConsigneeApplicationEditOrDelete',
    method: 'post',
    data
  })
}
/* =============================供应商服务费==============================*/
// 分页获取供应商对应的服务单列表
export function getPageServiceInfoLists(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/getPageServiceInfoLists',
    method: 'post',
    data
  })
}
// 分页获取供应商对应的收款单列表
export function getPageVoucherInfoLists(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/getPageVoucherInfoLists',
    method: 'post',
    data
  })
}
// 根据收款单ID查询供应商对应的收款单详情
export function getByVoucherIdVoucherDetailInfo(voucherId) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/getByVoucherIdVoucherDetailInfo?voucherId=' + voucherId,
    method: 'post'
  })
}

// 收款单中的服务单移除
export function removeServiceSingle(serviceId) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/removeServiceSingle?serviceId=' + serviceId,
    method: 'post'
  })
}

// 服务费导出: 待确认、待缴费、已缴费、已减免收费、异常处理记录
export function exportServiceFee(data) {
  return request({
    url: '/bidprocurement/procurement-contract/procurementSupplierCostMoneyRecordController/exportServiceFee',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
